0

when I am trying to install Sitecore 9.0 update 1 in my local PC with the script provided in the installation guide I am getting this error.

[-------------------------------------------------------------- SetAppPoolCertStorePermissions: FilePermissions -----------------------------------------------------------------------------]
WARNING: Could not find Cert: sc901.xconnect_client in Cert:\Localmachine\My
Install-SitecoreConfiguration : Unable to parse [ResolveCertificatePath(variable('Security.XConnect.CertificatePath'))] - Exception calling "InvokeWithContext" with "2" argument(s): "The
running command stopped because the preference variable "ErrorActionPreference" or common parameter is set to Stop: Cert:\Localmachine\My is not a valid Certificate Path"
At D:\Sitecore\Install901\install901.ps1:90 char:1
+ Install-SitecoreConfiguration @xconnectParams
+ ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    + CategoryInfo          : NotSpecified: (:) [Write-Error], WriteErrorException
    + FullyQualifiedErrorId : Microsoft.PowerShell.Commands.WriteErrorException,Install-SitecoreConfiguration

[TIME] 00:00:01
Transcript stopped, output file is D:\Sitecore\Install901\xconnect-xp0.200513 (2).log
GetConfigFunctionResult : Unable to parse [ResolveCertificatePath(variable('Security.XConnect.CertificatePath'))] - Exception calling "InvokeWithContext" with "2" argument(s): "The running
command stopped because the preference variable "ErrorActionPreference" or common parameter is set to Stop: Cert:\Localmachine\My is not a valid Certificate Path"
At C:\Program Files\WindowsPowerShell\Modules\SitecoreInstallFramework\1.2.1\Private\JsonConfiguration.ps1:182 char:20
+ ...      return GetConfigFunctionResult -FunctionText $InputObject -Param ...
+                 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    + CategoryInfo          : NotSpecified: (:) [Write-Error], WriteErrorException
    + FullyQualifiedErrorId : Microsoft.PowerShell.Commands.WriteErrorException,GetConfigFunctionResult

also referred below link but it didn't help Sitecore 9 - XP0 - xConnect Cert requirements?

Note: i have other sitecore versions (9.0 Update 2, 9.1 & 9.2) already running in my local. enter image description here

0

@Bharath C N, sorry, that I was unclear. There is the second answer, with certificates: https://sitecore.stackexchange.com/a/8269/6970 And also you need to use the correct version of SIF, as SIF was updated (from 1.2 to 2.0) with Sitecore 9.1. You can find the more detailed instruction here, for example: https://www.valtech.com/insights/sitecore-9.1-and-sitecore-9.0.x-in-the-same-machine/

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.